[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ControlStyle

ControlStyle - whether the control responds to mouse clicks, can be re-sized, has particular actions, etc

## Declaration

Source position: controls.pp line 1390

`public property TControl.ControlStyle: TControlStyle read FControlStyle write FControlStyle;`

## Description

// standard properties, which should be supported by all descendants

ControlStyle - whether the control responds to mouse clicks, can be re-sized, has particular actions, etc. Reads the stored style, or saves the new style

## See also

#lcl.Controls.TControlStyle |  | Set of permissible control styles

The latest version of this document can be found at lazarus-ccr.sourceforge.net.